[
	{
		"architecture": "amd64",
		"features": null,
		"variant": null,
		"digest": "sha256:32e764fef061c155c249f947259a76f3e431c8236b4c2bd791d141c8e9fea873",
		"layers": [
			{
				"digest": "sha256:6c33745f49b41daad28b7b192c447938452ea4de9fe8c7cc3edf1433b1366946",
				"size": 50397728,
				"instruction": "ADD file:6014cd9d7466825f80d4a3345847efd6fd7ef600b8135811cab4f0e304f66cd7 in / "
			},
			{
				"size": 0,
				"instruction": " CMD [\"bash\"]"
			},
			{
				"digest": "sha256:ef072fc32a84ef237dd4fcc7dff2c5e2a77565f24d63977d0fa654a6d8512dd8",
				"size": 7812075,
				"instruction": "/bin/sh -c set -eux; \tapt-get update; \tapt-get install -y --no-install-recommends \t\tca-certificates \t\tcurl \t\tnetbase \t\twget \t; \trm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:c0afb8e68e0bcdc1b6e05acaa713a6fe0d818086c596bd1ad99133665c4efe63",
				"size": 9996417,
				"instruction": "/bin/sh -c set -ex; \tif ! command -v gpg > /dev/null; then \t\tapt-get update; \t\tapt-get install -y --no-install-recommends \t\t\tgnupg \t\t\tdirmngr \t\t; \t\trm -rf /var/lib/apt/lists/*; \tfi"
			},
			{
				"digest": "sha256:d599c07d28e6c920ef615f4f9b5cd0d52eb106fcd20c3a7daef389f14edd4ef5",
				"size": 51829485,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tgit \t\tmercurial \t\topenssh-client \t\tsubversion \t\t\t\tprocps \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:f2ecc74db11a2e0bc5a12395b008dc12bdbaaeeb45da34f4fa7e75b3c17ed564",
				"size": 192313866,
				"instruction": "/bin/sh -c set -ex; \tapt-get update; \tapt-get install -y --no-install-recommends \t\tautoconf \t\tautomake \t\tbzip2 \t\tdpkg-dev \t\tfile \t\tg++ \t\tgcc \t\timagemagick \t\tlibbz2-dev \t\tlibc6-dev \t\tlibcurl4-openssl-dev \t\tlibdb-dev \t\tlibevent-dev \t\tlibffi-dev \t\tlibgdbm-dev \t\tlibglib2.0-dev \t\tlibgmp-dev \t\tlibjpeg-dev \t\tlibkrb5-dev \t\tliblzma-dev \t\tlibmagickcore-dev \t\tlibmagickwand-dev \t\tlibmaxminddb-dev \t\tlibncurses5-dev \t\tlibncursesw5-dev \t\tlibpng-dev \t\tlibpq-dev \t\tlibreadline-dev \t\tlibsqlite3-dev \t\tlibssl-dev \t\tlibtool \t\tlibwebp-dev \t\tlibxml2-dev \t\tlibxslt-dev \t\tlibyaml-dev \t\tmake \t\tpatch \t\tunzip \t\txz-utils \t\tzlib1g-dev \t\t\t\t$( \t\t\tif apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then \t\t\t\techo 'default-libmysqlclient-dev'; \t\t\telse \t\t\t\techo 'libmysqlclient-dev'; \t\t\tfi \t\t) \t; \trm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
			},
			{
				"size": 0,
				"instruction": " ENV LANG=C.UTF-8"
			},
			{
				"digest": "sha256:26856d31ce86a1119d0801da67e89e8cec83e0d53caca90a1cb8a9fa325b96a6",
				"size": 6145411,
				"instruction": "/bin/sh -c apt-get update && apt-get install -y --no-install-recommends \t\tlibbluetooth-dev \t\ttk-dev \t\tuuid-dev \t&& rm -rf /var/lib/apt/lists/*"
			},
			{
				"size": 0,
				"instruction": " ENV GPG_KEY=E3FF2839C048B25C084DEBE9B26995E310250568"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_VERSION=3.9.1"
			},
			{
				"digest": "sha256:a463ae07b5f35ef689567ba040dda03e740798fa71eb1ecb55420baf6423b95c",
				"size": 19137053,
				"instruction": "/bin/sh -c set -ex \t\t&& wget -O python.tar.xz \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz\" \t&& wget -O python.tar.xz.asc \"https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc\" \t&& export GNUPGHOME=\"$(mktemp -d)\" \t&& gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys \"$GPG_KEY\" \t&& gpg --batch --verify python.tar.xz.asc python.tar.xz \t&& { command -v gpgconf > /dev/null && gpgconf --kill all || :; } \t&& rm -rf \"$GNUPGHOME\" python.tar.xz.asc \t&& mkdir -p /usr/src/python \t&& tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz \t&& rm python.tar.xz \t\t&& cd /usr/src/python \t&& gnuArch=\"$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)\" \t&& ./configure \t\t--build=\"$gnuArch\" \t\t--enable-loadable-sqlite-extensions \t\t--enable-optimizations \t\t--enable-option-checking=fatal \t\t--enable-shared \t\t--with-system-expat \t\t--with-system-ffi \t\t--without-ensurepip \t&& make -j \"$(nproc)\" \t&& make install \t&& rm -rf /usr/src/python \t\t&& find /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests -o -name idle_test \\) \\) \t\t\t-o \\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \\) \\) \t\t\\) -exec rm -rf '{}' + \t\t&& ldconfig \t\t&& python3 --version"
			},
			{
				"digest": "sha256:54f24c50f14e2b0fc059d866bbc32a75cd42858a79872b9ddec21f0d0f491dda",
				"size": 232,
				"instruction": "/bin/sh -c cd /usr/local/bin \t&& ln -s idle3 idle \t&& ln -s pydoc3 pydoc \t&& ln -s python3 python \t&& ln -s python3-config python-config"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_PIP_VERSION=20.3.3"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/5f38681f7f5872e4032860b54e9cc11cf0374932/get-pip.py"
			},
			{
				"size": 0,
				"instruction": " ENV PYTHON_GET_PIP_SHA256=6a0b13826862f33c13b614a921d36253bfa1ae779c5fbf569876f3585057e9d2"
			},
			{
				"digest": "sha256:168ee6df05fe6efec9c36488270abba0fc69fb1530b419a5f32c02923e0a911f",
				"size": 2138311,
				"instruction": "/bin/sh -c set -ex; \t\twget -O get-pip.py \"$PYTHON_GET_PIP_URL\"; \techo \"$PYTHON_GET_PIP_SHA256 *get-pip.py\" | sha256sum --check --strict -; \t\tpython get-pip.py \t\t--disable-pip-version-check \t\t--no-cache-dir \t\t\"pip==$PYTHON_PIP_VERSION\" \t; \tpip --version; \t\tfind /usr/local -depth \t\t\\( \t\t\t\\( -type d -a \\( -name test -o -name tests -o -name idle_test \\) \\) \t\t\t-o \t\t\t\\( -type f -a \\( -name '*.pyc' -o -name '*.pyo' \\) \\) \t\t\\) -exec rm -rf '{}' +; \trm -f get-pip.py"
			},
			{
				"size": 0,
				"instruction": " CMD [\"python3\"]"
			},
			{
				"size": 0,
				"instruction": " ARG VERSION=20190803.01"
			},
			{
				"size": 0,
				"instruction": " ARG wget_lua=http://xor.meo.ws/1hh92cDPD-Rfbd7dUT_AGmsHutAr_QeT/wget-lua"
			},
			{
				"size": 0,
				"instruction": " ENV LC_ALL=C"
			},
			{
				"digest": "sha256:3ad64c2dd8aa09ba4c2abbb96e915b73906156c57f90f5dda3636ec8d08fe8e3",
				"size": 15426169,
				"instruction": "|2 VERSION=20190803.01 wget_lua=http://xor.meo.ws/1hh92cDPD-Rfbd7dUT_AGmsHutAr_QeT/wget-lua /bin/sh -c echo deb http://deb.debian.org/debian buster-backports main contrib > /etc/apt/sources.list.d/backports.list  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io update  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io install rsync liblua5.1-0 libluajit-5.1-2 libidn11 lua-socket  && DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical apt-get -qqy --no-install-recommends -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold -o Dpkg::Options::=--force-unsafe-io -t buster-backports install zstd libzstd-dev libzstd1  && pip install requests seesaw warcio zstandard  && wget \"${wget_lua}\" -O /usr/local/bin/wget-lua  && chmod +x /usr/local/bin/wget-lua  && rm -rf /var/lib/apt/lists/*"
			},
			{
				"digest": "sha256:4b9a241bf0391f375447a6ffd8270ec04ffc0f2c2ba768a54f757bad14e40184",
				"size": 127,
				"instruction": "WORKDIR /grab"
			},
			{
				"size": 0,
				"instruction": " STOPSIGNAL SIGINT"
			},
			{
				"size": 0,
				"instruction": " ENTRYPOINT [\"run-pipeline3\" \"--disable-web-server\" \"pipeline.py\"]"
			},
			{
				"size": 0,
				"instruction": " LABEL org.label-schema.build-date=2020-12-29T14:36:01Z"
			},
			{
				"size": 0,
				"instruction": " LABEL org.label-schema.schema-version=1.0"
			},
			{
				"size": 0,
				"instruction": " LABEL org.label-schema.vcs-ref=fd9edd4c19b94d1854ba787c3ddcabf3f9bfd1be"
			},
			{
				"size": 0,
				"instruction": " LABEL org.label-schema.vcs-url=https://github.com/ArchiveTeam/grab-base-df.git"
			},
			{
				"digest": "sha256:1536bb0c75b05971d8ca7e4d032f4f022286bef1f45d8158194d67faf1af1c07",
				"size": 64679,
				"instruction": "COPY dir:370d4a1793d1d393c73d1d4f418581af7db7b5e5e7a3e426ae221c8c5d03e5d1 in /grab "
			},
			{
				"digest": "sha256:ffaf42b9ffca673f5d75ceea50241c2c3b839d155888eb3c1f5cf62e622d36af",
				"size": 143,
				"instruction": "/bin/sh -c ln -fs /usr/local/bin/wget-lua /grab/wget-at"
			}
		],
		"os": "linux",
		"os_features": null,
		"os_version": null,
		"size": 355261696,
		"status": "active",
		"last_pulled": "2021-02-20T02:22:02.031822Z",
		"last_pushed": "2021-02-03T13:42:13.273216Z"
	}
]